# Notification

## POST /api/v2/Notifications/{strToken}

> Creates a new Notification object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Notifications/{strToken}":{"post":{"tags":["Notification"],"summary":"Creates a new Notification object.","operationId":"Notification-CreateNotification","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Notification object to create","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}},"application/json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}},"text/json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/CreateNotificationResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/CreateNotificationResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/CreateNotificationResponse"}}}}}}}},"components":{"schemas":{"NotificationSpecs":{"type":"object","properties":{"notificationID":{"type":"string","description":"Notificaiton ID. Unique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the notification.","format":"date-time"},"severity":{"type":"string","description":"Severity level. <br> May be one of the following:<ul> <li><code>INFO</code>: the notification is an information</li> <li><code>AWARD</code>: the notification is an award</li> <li><code>BANNER</code>: the notification is a banner</li> <li><code>WARN</code>: the notification is a warning</li> <li><code>ALERT</code>: the notification is an alert</li> </ul>","nullable":true},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Notification text, in different languages/cultures.\r\nThe key is the language/culture, e.g. \"en-US\" or \"it-IT\",\r\nand the value is the corresponding text.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Optional additional information, in the form of key-value pairs.","nullable":true},"type":{"type":"string","description":"Notification type. /// <br> May be one of the following:<ul> <li><code>BROADCAST</code>: the notification is a broadcast</li> <li><code>TENANT</code>: the notification is a tenant notification</li> <li><code>USER</code>: the notification is a user notification</li> </ul>","nullable":true},"tenant":{"type":"string","description":"Tenant ID of the notification.","nullable":true},"userName":{"type":"string","description":"The Username of the user that the notification is addressed to.","nullable":true},"validFrom":{"type":"string","description":"The date and time from which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true},"validTo":{"type":"string","description":"The date and time until which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Notification object."},"CreateNotificationResponse":{"type":"object","properties":{"notification":{"$ref":"#/components/schemas/NotificationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a Create User Notification request."}}}}
````

## GET /api/v2/Notifications/{strToken}/{strNotificationID}

> Gets a specific Notification object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Notifications/{strToken}/{strNotificationID}":{"get":{"tags":["Notification"],"summary":"Gets a specific Notification object.","operationId":"Notification-GetNotification","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strNotificationID","in":"path","description":"The ID of the notification","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/GetNotificationResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/GetNotificationResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/GetNotificationResponse"}}}}}}}},"components":{"schemas":{"GetNotificationResponse":{"type":"object","properties":{"notification":{"$ref":"#/components/schemas/NotificationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false},"NotificationSpecs":{"type":"object","properties":{"notificationID":{"type":"string","description":"Notificaiton ID. Unique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the notification.","format":"date-time"},"severity":{"type":"string","description":"Severity level. <br> May be one of the following:<ul> <li><code>INFO</code>: the notification is an information</li> <li><code>AWARD</code>: the notification is an award</li> <li><code>BANNER</code>: the notification is a banner</li> <li><code>WARN</code>: the notification is a warning</li> <li><code>ALERT</code>: the notification is an alert</li> </ul>","nullable":true},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Notification text, in different languages/cultures.\r\nThe key is the language/culture, e.g. \"en-US\" or \"it-IT\",\r\nand the value is the corresponding text.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Optional additional information, in the form of key-value pairs.","nullable":true},"type":{"type":"string","description":"Notification type. /// <br> May be one of the following:<ul> <li><code>BROADCAST</code>: the notification is a broadcast</li> <li><code>TENANT</code>: the notification is a tenant notification</li> <li><code>USER</code>: the notification is a user notification</li> </ul>","nullable":true},"tenant":{"type":"string","description":"Tenant ID of the notification.","nullable":true},"userName":{"type":"string","description":"The Username of the user that the notification is addressed to.","nullable":true},"validFrom":{"type":"string","description":"The date and time from which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true},"validTo":{"type":"string","description":"The date and time until which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Notification object."}}}}
````

## DELETE /api/v2/Notifications/{strToken}/{strNotificationID}

> Deletes a Notification object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Notifications/{strToken}/{strNotificationID}":{"delete":{"tags":["Notification"],"summary":"Deletes a Notification object.","operationId":"Notification-DeleteNotification","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"strNotificationID","in":"path","description":"The ID of the notification","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Response"}},"application/json":{"schema":{"$ref":"#/components/schemas/Response"}},"text/json":{"schema":{"$ref":"#/components/schemas/Response"}}}}}}}},"components":{"schemas":{"Response":{"type":"object","properties":{"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Base response."}}}}
````

## PATCH /api/v2/Notifications/{strToken}/{strNotificationID}

> Updates a Notification object.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/Notifications/{strToken}/{strNotificationID}":{"patch":{"tags":["Notification"],"summary":"Updates a Notification object.","operationId":"Notification-UpdateNotification","parameters":[{"name":"strToken","in":"path","description":"","required":true,"schema":{"type":"string"}},{"name":"strNotificationID","in":"path","description":"","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"The Notification object to update","content":{"application/json-patch+json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}},"application/json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}},"text/json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/NotificationSpecs"}}}},"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/UpdateNotificationResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/UpdateNotificationResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/UpdateNotificationResponse"}}}}}}}},"components":{"schemas":{"NotificationSpecs":{"type":"object","properties":{"notificationID":{"type":"string","description":"Notificaiton ID. Unique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the notification.","format":"date-time"},"severity":{"type":"string","description":"Severity level. <br> May be one of the following:<ul> <li><code>INFO</code>: the notification is an information</li> <li><code>AWARD</code>: the notification is an award</li> <li><code>BANNER</code>: the notification is a banner</li> <li><code>WARN</code>: the notification is a warning</li> <li><code>ALERT</code>: the notification is an alert</li> </ul>","nullable":true},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Notification text, in different languages/cultures.\r\nThe key is the language/culture, e.g. \"en-US\" or \"it-IT\",\r\nand the value is the corresponding text.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Optional additional information, in the form of key-value pairs.","nullable":true},"type":{"type":"string","description":"Notification type. /// <br> May be one of the following:<ul> <li><code>BROADCAST</code>: the notification is a broadcast</li> <li><code>TENANT</code>: the notification is a tenant notification</li> <li><code>USER</code>: the notification is a user notification</li> </ul>","nullable":true},"tenant":{"type":"string","description":"Tenant ID of the notification.","nullable":true},"userName":{"type":"string","description":"The Username of the user that the notification is addressed to.","nullable":true},"validFrom":{"type":"string","description":"The date and time from which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true},"validTo":{"type":"string","description":"The date and time until which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Notification object."},"UpdateNotificationResponse":{"type":"object","properties":{"notification":{"$ref":"#/components/schemas/NotificationSpecs"},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false}}}}
````

## GET /api/v2/ListAllNotifications/{strToken}/{notificationsFilter}

> Gets all the Notification objects

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ListAllNotifications/{strToken}/{notificationsFilter}":{"get":{"tags":["Notification"],"summary":"Gets all the Notification objects","operationId":"Notification-ListAllNotifications","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}},{"name":"notificationsFilter","in":"path","description":"Filters the notifications to show.\r\n           <br /> May be one of the following:<ul><li>ACTIVE_AND_FUTURE: Only active and future notifications</li><li>ONLY_FUTURE : Only future notifications</li><li>ALL : All notifications</li></ul>","required":true,"schema":{"type":"string","default":"ACTIVE_AND_FUTURE"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}}}}}}}},"components":{"schemas":{"ListNotificationsResponse":{"type":"object","properties":{"notifications":{"type":"array","items":{"$ref":"#/components/schemas/NotificationSpecs"},"description":"The list of Notification objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Notifications request."},"NotificationSpecs":{"type":"object","properties":{"notificationID":{"type":"string","description":"Notificaiton ID. Unique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the notification.","format":"date-time"},"severity":{"type":"string","description":"Severity level. <br> May be one of the following:<ul> <li><code>INFO</code>: the notification is an information</li> <li><code>AWARD</code>: the notification is an award</li> <li><code>BANNER</code>: the notification is a banner</li> <li><code>WARN</code>: the notification is a warning</li> <li><code>ALERT</code>: the notification is an alert</li> </ul>","nullable":true},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Notification text, in different languages/cultures.\r\nThe key is the language/culture, e.g. \"en-US\" or \"it-IT\",\r\nand the value is the corresponding text.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Optional additional information, in the form of key-value pairs.","nullable":true},"type":{"type":"string","description":"Notification type. /// <br> May be one of the following:<ul> <li><code>BROADCAST</code>: the notification is a broadcast</li> <li><code>TENANT</code>: the notification is a tenant notification</li> <li><code>USER</code>: the notification is a user notification</li> </ul>","nullable":true},"tenant":{"type":"string","description":"Tenant ID of the notification.","nullable":true},"userName":{"type":"string","description":"The Username of the user that the notification is addressed to.","nullable":true},"validFrom":{"type":"string","description":"The date and time from which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true},"validTo":{"type":"string","description":"The date and time until which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Notification object."}}}}
````

## GET /api/v2/UserNotifications/{strToken}

> Gets the Notification objects for the currently logged-in user.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/UserNotifications/{strToken}":{"get":{"tags":["Notification"],"summary":"Gets the Notification objects for the currently logged-in user.","operationId":"Notification-GetUserNotifications","parameters":[{"name":"strToken","in":"path","description":"The login token","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}}}}}}}},"components":{"schemas":{"ListNotificationsResponse":{"type":"object","properties":{"notifications":{"type":"array","items":{"$ref":"#/components/schemas/NotificationSpecs"},"description":"The list of Notification objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Notifications request."},"NotificationSpecs":{"type":"object","properties":{"notificationID":{"type":"string","description":"Notificaiton ID. Unique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the notification.","format":"date-time"},"severity":{"type":"string","description":"Severity level. <br> May be one of the following:<ul> <li><code>INFO</code>: the notification is an information</li> <li><code>AWARD</code>: the notification is an award</li> <li><code>BANNER</code>: the notification is a banner</li> <li><code>WARN</code>: the notification is a warning</li> <li><code>ALERT</code>: the notification is an alert</li> </ul>","nullable":true},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Notification text, in different languages/cultures.\r\nThe key is the language/culture, e.g. \"en-US\" or \"it-IT\",\r\nand the value is the corresponding text.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Optional additional information, in the form of key-value pairs.","nullable":true},"type":{"type":"string","description":"Notification type. /// <br> May be one of the following:<ul> <li><code>BROADCAST</code>: the notification is a broadcast</li> <li><code>TENANT</code>: the notification is a tenant notification</li> <li><code>USER</code>: the notification is a user notification</li> </ul>","nullable":true},"tenant":{"type":"string","description":"Tenant ID of the notification.","nullable":true},"userName":{"type":"string","description":"The Username of the user that the notification is addressed to.","nullable":true},"validFrom":{"type":"string","description":"The date and time from which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true},"validTo":{"type":"string","description":"The date and time until which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Notification object."}}}}
````

## GET /api/v2/TenantNotifications/{tenantName}

> Gets the Notification objects for a specific Tenant.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/TenantNotifications/{tenantName}":{"get":{"tags":["Notification"],"summary":"Gets the Notification objects for a specific Tenant.","operationId":"Notification-GetTenantNotifications","parameters":[{"name":"tenantName","in":"path","description":"The name of the Tenant","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}}}}}}}},"components":{"schemas":{"ListNotificationsResponse":{"type":"object","properties":{"notifications":{"type":"array","items":{"$ref":"#/components/schemas/NotificationSpecs"},"description":"The list of Notification objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Notifications request."},"NotificationSpecs":{"type":"object","properties":{"notificationID":{"type":"string","description":"Notificaiton ID. Unique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the notification.","format":"date-time"},"severity":{"type":"string","description":"Severity level. <br> May be one of the following:<ul> <li><code>INFO</code>: the notification is an information</li> <li><code>AWARD</code>: the notification is an award</li> <li><code>BANNER</code>: the notification is a banner</li> <li><code>WARN</code>: the notification is a warning</li> <li><code>ALERT</code>: the notification is an alert</li> </ul>","nullable":true},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Notification text, in different languages/cultures.\r\nThe key is the language/culture, e.g. \"en-US\" or \"it-IT\",\r\nand the value is the corresponding text.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Optional additional information, in the form of key-value pairs.","nullable":true},"type":{"type":"string","description":"Notification type. /// <br> May be one of the following:<ul> <li><code>BROADCAST</code>: the notification is a broadcast</li> <li><code>TENANT</code>: the notification is a tenant notification</li> <li><code>USER</code>: the notification is a user notification</li> </ul>","nullable":true},"tenant":{"type":"string","description":"Tenant ID of the notification.","nullable":true},"userName":{"type":"string","description":"The Username of the user that the notification is addressed to.","nullable":true},"validFrom":{"type":"string","description":"The date and time from which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true},"validTo":{"type":"string","description":"The date and time until which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Notification object."}}}}
````

## GET /api/v2/ChangelogNotifications/{tenantName}

> Gets all the changelog Notification objects (including expired ones).> \
> This is a public endpoint that returns all changelog notifications for all tenants.

````json
{"openapi":"3.0.1","info":{"title":"Memori.ai Web API V2","version":"v2"},"paths":{"/api/v2/ChangelogNotifications/{tenantName}":{"get":{"tags":["Notification"],"summary":"Gets all the changelog Notification objects (including expired ones).\r\nThis is a public endpoint that returns all changelog notifications for all tenants.","operationId":"Notification-GetChangelogNotifications","parameters":[{"name":"tenantName","in":"path","description":"The name of the Tenant","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"application/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}},"text/json":{"schema":{"$ref":"#/components/schemas/ListNotificationsResponse"}}}}}}}},"components":{"schemas":{"ListNotificationsResponse":{"type":"object","properties":{"notifications":{"type":"array","items":{"$ref":"#/components/schemas/NotificationSpecs"},"description":"The list of Notification objects.","nullable":true},"requestID":{"type":"integer","description":"Progressive number of the request (since the Server started).\r\nUse this number, together with the RequestDateTime property,\r\nto report an anomalous reponse.","format":"int64"},"requestDateTime":{"type":"string","description":"Timestamp of the request.\r\nUse this timestamp, together with the RequestID property,\r\nto report an anomalous reponse.","format":"date-time"},"resultCode":{"type":"integer","description":"Result code. A code of ```0``` means no errors.\r\nWhen the request fails, its value is indicative of the actual\r\nerror.","format":"int32"},"resultMessage":{"type":"string","description":"Result message. A message of ```Ok``` means no errors.","nullable":true}},"additionalProperties":false,"description":"Response of a List Notifications request."},"NotificationSpecs":{"type":"object","properties":{"notificationID":{"type":"string","description":"Notificaiton ID. Unique and assigned by the system.","nullable":true},"timestamp":{"type":"string","description":"Timestamp UTC of the notification.","format":"date-time"},"severity":{"type":"string","description":"Severity level. <br> May be one of the following:<ul> <li><code>INFO</code>: the notification is an information</li> <li><code>AWARD</code>: the notification is an award</li> <li><code>BANNER</code>: the notification is a banner</li> <li><code>WARN</code>: the notification is a warning</li> <li><code>ALERT</code>: the notification is an alert</li> </ul>","nullable":true},"texts":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Notification text, in different languages/cultures.\r\nThe key is the language/culture, e.g. \"en-US\" or \"it-IT\",\r\nand the value is the corresponding text.","nullable":true},"additionalInfo":{"type":"object","additionalProperties":{"type":"string","nullable":true},"description":"Optional additional information, in the form of key-value pairs.","nullable":true},"type":{"type":"string","description":"Notification type. /// <br> May be one of the following:<ul> <li><code>BROADCAST</code>: the notification is a broadcast</li> <li><code>TENANT</code>: the notification is a tenant notification</li> <li><code>USER</code>: the notification is a user notification</li> </ul>","nullable":true},"tenant":{"type":"string","description":"Tenant ID of the notification.","nullable":true},"userName":{"type":"string","description":"The Username of the user that the notification is addressed to.","nullable":true},"validFrom":{"type":"string","description":"The date and time from which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true},"validTo":{"type":"string","description":"The date and time until which the notification is valid. <br> Used when creating and modifying the notification. Ignored otherwise.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Specifications of a Notification object."}}}}
````


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aisuru.com/api-en/backend/notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
